Endpoints · Carteiras

Watch a wallet

Esta referência está em inglês. A navegação e os rótulos estão traduzidos.

Adds a wallet to be re-checked after every daily screen, with an email when something gets worse.

POST/api/v1/wallets/watched

Escopo: watchlists:write

Parâmetros

Requisição
curl https://yieldsniper.finance/api/v1/wallets/watched \
  -H "Authorization: Bearer $YS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "address": "0x99e65176f7fa8743e3fbaef277d1da448e361367",
    "label": "Morpho vaults (Base)",
    "email_alerts": true
  }'
Resposta201
{
  "object": "watched_wallet",
  "id": "ww_6adce54490ff68368e73c549",
  "address": "0x99e65176F7FA8743E3fbaEF277d1Da448e361367",
  "chain_family": "evm",
  "ens_name": null,
  "label": "Morpho vaults (Base)",
  "email_alerts": true,
  "last_checked_at": null,
  "score": 53,
  "band": "high",
  "previous_score": null,
  "alerts": {
    "critical": 3,
    "warning": 0,
    "info": 2
  },
  "value": 248725.85,
  "created_at": "2026-10-24T17:05:08.021Z"
}

Retorna